package com.example.demo;

import org.springframework.boot.context.embedded.ConfigurableEmbeddedServletContainer;
import org.springframework.boot.context.embedded.EmbeddedServletContainerCustomizer;
import org.springframework.context.annotation.Configuration;

import java.io.File;

/**
 * 内嵌Tomcat 运行项目目录
 */
@Configuration
public class DocumentDirectoryCustomizer implements EmbeddedServletContainerCustomizer {
    public void customize(ConfigurableEmbeddedServletContainer container) {
        // 指定项目目录
        container.setDocumentRoot(new File("../finereport-maven/WebReport"));
    }
}
